# DATEADD

DATEADD( `start_date` , `time_step`, `time_unit`)

Returns a date some number of time steps away from `start_date`

### Arguments

| Argument     | Description                                                                                               |
| ------------ | --------------------------------------------------------------------------------------------------------- |
| `start date` | Date/time value(s) corresponding to `start date`                                                          |
| `time step`  | Number of time steps to add or subtract from `start date`                                                 |
| `time unit`  | Unit of `time step` to add or subtract from `start date`. \[year, month, week, day, hour, minute, second] |

### Output

New date offset from `start date` by some number of `time steps`.

### Example

{% embed url="<https://datawrapper.dwcdn.net/A6OrP/1/>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cascade.io/cascade/functions-and-expressions/functions/date-time/dateadd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
